Bug 727719 - In Document List View, clicking on document you just edit does not go back to document view of that document as it should
Summary: In Document List View, clicking on document you just edit does not go back to...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 1.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Sprint-26
: ---
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 02:19 UTC by Ding-Yi Chen
Modified: 2011-10-28 07:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 07:25:18 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 732338 0 high CLOSED Cannot click on project name to return from editor to document list view 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 741478 0 unspecified CLOSED Document title still shows "No document selected" if you click on the document you just edit 2021-02-22 00:41:40 UTC

Internal Links: 732338 741478

Description Ding-Yi Chen 2011-08-03 02:19:56 UTC
Description of problem:
In document view of document A, clicking the project name brings back the document list view. 
However, we cannot go back to document A by clicking it from document list, nor can it be accessible from the title bar, ProjectName > DocumentA.

A workaround for that problem is clicking another document, then go back to document list view, then click on document A. Yet it is annoying.

Version-Release number of selected component (if applicable):
Zanata version 1.4-SNAPSHOT (20110801-1242)

How reproducible:
Always.

Steps to Reproduce:
1. Log in to Zanata
2. Choose the project AboutFedora and version f13.
3. Click translate in any locale.
4. Document list view should be brought up at this stage, click a document, say, "Article_Info" to enter document view.
5. Click on project name, AboutFedora, to go back to document list view.
6. Click on "Article_Info"
  
Actual results:
No respond

Expected results:
Enter document view of "Article_Info"

Comment 1 David Mason 2011-08-03 03:58:27 UTC
The workaround will not work in cases where there is only one document in the document list. In such cases a new instance of webtrans needs to be opened from the project page (using the 'Translate' link).

Comment 2 Alex Eng 2011-08-09 03:56:22 UTC
Problem resolved.

Comment 3 Ding-Yi Chen 2011-09-26 23:41:45 UTC
VERIFIED with Zanata version 1.4-alpha-2-SNAPSHOT (20110926-1021)


Note You need to log in before you can comment on or make changes to this bug.